---
title: "atan2"
excerpt: "Compute the four quadrant arctangent of Y and X (in radians)."
layout: manual
---

Compute the four quadrant arctangent of Y and X (in radians).



```js
atan2(y: number, x: number) -> number
```

### Tags

* `math`


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `y` | `number` |  | Yes |
| `x` | `number` |  | Yes |

### Returns

`number` 


### Examples

```js
sketch001 = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> angledLine({
       angle = toDegrees(atan2(1.25, 2)),
       length = 20
     }, %)
  |> yLineTo(0, %)
  |> close()

extrude001 = extrude(sketch001, length = 5)
```

![Rendered example of atan2 0](data:image/png;base64,[encoded data, 81052 characters])


